addpath('~/src/yael/matlab')
addpath(genpath('~/src/matimbaz'));

set_params;

load_vectors;

m = floor(nY/comusize);

switch selector
    case 'thresh'
        lmk = [-Inf 0 0.1 0.2:0.03:.79 0.8:0.05:1];    
    case 'fix'
        tmp =round([1/m:1/m*(0.005/(1/m)):0.1]./(1/m));
        
        lmk = [tmp round([(max(tmp)+1)/m:1/m*(0.05/(1/m)):0.50 0.75 1]./(1/m))];        
    otherwise
        error 'Invalid selector.'
end

test_comu;